Get a branch's review state
GET
/api/orgs/{org}/projects/{project}/review
const url = 'https://api.wrktr.com/api/orgs/example/projects/example/review?branch=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.wrktr.com/api/orgs/example/projects/example/review?branch=example' \ --header 'Authorization: Bearer <token>'Whether the review agent has reviewed the current head, and its verdict.
Authorizations
Section titled “Authorizations”- bearer
- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
project
required
string
Query Parameters
Section titled “Query Parameters”branch
required
string
Responses
Section titled “Responses”BranchReview
Media typeapplication/json
object
branch
required
string
headSha
required
string
status
required
string
unplaced
required
Array<string>
usage
required
Any of:
object
null
Example
{ "status": "ready", "stage": "describing", "verdict": "approve", "threadsAdded": "Infinity", "resolved": "Infinity", "usage": { "calls": "Infinity", "inputTokens": "Infinity", "cachedInputTokens": "Infinity", "outputTokens": "Infinity", "reasoningTokens": "Infinity", "costUsd": "Infinity" }, "reviewedAt": "Infinity"}Unauthorized
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "Unauthorized"}ProjectNotFound | BranchNotFound